static char version[] =
"$Id: ts_triangles.c,v 1.1 1999/11/21 19:36:29 Fusz Exp $";

#include "ts_header.h"


void RecolorTri(GLint h)
{
    /*
     * global vars
     *
     * struct object tsObjects[]
     */

    tsObjects[h].color[0] = ((rand() % 100) + 50) / 150.0;
    tsObjects[h].color[1] = ((rand() % 100) + 50) / 150.0;
    tsObjects[h].color[2] = ((rand() % 100) + 50) / 150.0;
}

void DeleteTri(GLint h)
{

    /*
     * global vars
     *
     * struct object tsObjects[]
     * GLint tsObjectCount
     */

    tsObjects[h] = tsObjects[tsObjectCount-1];
    tsObjectCount--;
}

void GrowTri(GLint h)
{
    /*
     * global vars
     *
     * struct object tsObjects[]
     */

    float v[2];
    float *oldV;
    GLint i;

    v[0] = tsObjects[h].v1[0] + tsObjects[h].v2[0] + tsObjects[h].v3[0];
    v[1] = tsObjects[h].v1[1] + tsObjects[h].v2[1] + tsObjects[h].v3[1];
    v[0] /= 3;
    v[1] /= 3;

    for (i = 0; i < 3; i++) {
    switch (i) {
      case 0:
        oldV = tsObjects[h].v1;
        break;
      case 1:
        oldV = tsObjects[h].v2;
        break;
      case 2:
        oldV = tsObjects[h].v3;
        break;
    }
    oldV[0] = 1.5 * (oldV[0] - v[0]) + v[0];
    oldV[1] = 1.5 * (oldV[1] - v[1]) + v[1];
    }
}
