//
// tk_pixel.h
//
static char version_mTk_pixel[] =
"$Id: mTk_pixel.h,v 1.1 1999/11/21 19:53:22 Fusz Exp $";

#include <windows.h>
#include <gl/gl.h>

#define TK_IS_RGB(x)		(((x) & TK_INDEX) == 0)
#define TK_IS_INDEX(x)		(((x) & TK_INDEX) != 0)
#define TK_IS_SINGLE(x)		(((x) & TK_DOUBLE) == 0)
#define TK_IS_DOUBLE(x)		(((x) & TK_DOUBLE) != 0)
#define TK_HAS_ACCUM(x)		(((x) & TK_ACCUM) != 0)
#define TK_HAS_ALPHA(x)		(((x) & TK_ALPHA) != 0)
#define TK_HAS_DEPTH(x)     (((x) & (TK_DEPTH | TK_DEPTH16)) != 0)
#define TK_HAS_STENCIL(x)	(((x) & TK_STENCIL) != 0)
#define TK_IS_DIRECT(x)		(((x) & TK_INDIRECT) == 0)
#define TK_IS_INDIRECT(x)       (((x) & TK_INDIRECT) != 0)
#define TK_USE_FIXED_332_PAL(x) (((x) & TK_FIXED_332_PAL) != 0)
#define TK_IS_DEPTH16(x)        (((x) & TK_DEPTH16) != 0)

#define BLACK   PALETTERGB(0,0,0)
#define WHITE   PALETTERGB(255,255,255)



int FindBestPixelFormat(HDC hdc, 
                        GLenum type, 
                        PIXELFORMATDESCRIPTOR *ppfd);

int FindExactPixelFormat(HDC hdc, 
                         GLenum type, 
                         PIXELFORMATDESCRIPTOR *ppfd);

BOOL IsPixelFormatValid(HDC hdc, 
                        int ipfd, 
                        PIXELFORMATDESCRIPTOR *ppfd);

HPALETTE CreateRGBPalette( HDC Dc );
