//
// tk_wnd_proc_key.c
//
// 99 - 01 - 10
//
static char version[] =
"$Id: tk_wnd_proc_key.c,v 1.1 1999/11/21 19:55:57 Fusz Exp $";

#include <windows.h>
#include <gl/glu.h>
#include "oTk_intern.h"
#include "oTkKey.h"
#include "tk_wnd.h"

int TkWndProcKeys( HWND hWnd, WPARAM wParam )
{
    int key;
    int r;
    
    int re = 0;
	
    //--------------------------------------------------------
	
    switch (wParam) 
    {
    case VK_SPACE: 
        key = TK_SPACE;         
        break;
    case VK_RETURN:         
        key = TK_RETURN;        
        break;
    case VK_ESCAPE:         
        key = TK_ESCAPE;        
        break;
    case VK_LEFT:           
        key = TK_LEFT;          
        break;
    case VK_UP:             
        key = TK_UP;            
        break;
    case VK_RIGHT:          
        key = TK_RIGHT;         
        break;
    case VK_DOWN:           
        key = TK_DOWN;          
        break;
    default:                
        key = GL_FALSE;         
        break;
    }
	

    if (key && TkKeyDownFunc)
    {
        GLenum mask;
		
        mask = 0;
        if ( r = GetKeyState(VK_CONTROL)) 
	{
            if( r < 0 )
                fprintf( stderr, "CONTROl is pressed.\n" );
            
            mask |= TK_CONTROL;
	}
		
        if ( r = GetKeyState(VK_SHIFT)) 
	{
            if( r < 0 )
                fprintf( stderr, "SHIFT is pressed.\n" );
            
            mask |= TK_SHIFT;
	}
		
        if ( (*TkKeyDownFunc)(key, mask) )
	{
            ForceRedraw( hWnd );
	}
    }
	
    return re;
}
