#include "ts_header.h"

static char version[] =
"$Id: ts_draw.c,v 1.1 1999/11/21 19:37:01 Fusz Exp $";

void CALLBACK Draw(void)
{

     /*
     * global vars
     *
     * tsWindW, tsWindH  [write]
     * GLint    tsVp[]   [write]
     * float tsZoom      [read]
     * float tsZRotation [read]
     */
    
    glPushMatrix();

    glViewport( 0, 0, tsWindW, tsWindH );
    glGetIntegerv( GL_VIEWPORT, tsVp );

    glMatrixMode( GL_PROJECTION );
    glLoadIdentity();
    gluOrtho2D( -175, 175, -175, 175 );

    glMatrixMode( GL_MODELVIEW );

    glClearColor( 0.0, 0.0, 0.0, 0.0 );
    glClear( GL_COLOR_BUFFER_BIT );

    glScalef( tsZoom, tsZoom, tsZoom);
    glRotatef( tsZRotation, 0, 0, 1 );

    glBegin(GL_POLYGON);
	{
        glVertex2f(-50.0f, -50.0f);
        glVertex2f(-50.0f,  50.0f);
        glVertex2f( 50.0f,  50.0f);
        glVertex2f( 50.0f, -50.0f);
	}
    glEnd();

    Render(GL_RENDER); // eingefuegt in version 1.3

    glPopMatrix();

    auxSwapBuffers();
    glFlush();
}

void DrawZoom(GLint x, GLint y)
{

    /*
     * global vars
     *
     * tsWindW, tsWindH  [write]
     * GLint    tsVp[]   [write]
     * float tsZoom      [read]
     * float tsZRotation [read]
     */

    glPushMatrix();

    glViewport(0, 0, tsWindW, tsWindH);
    glGetIntegerv(GL_VIEWPORT, tsVp);

    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluPickMatrix(x, tsWindH-y, 4, 4, tsVp);
    gluOrtho2D(-175, 175, -175, 175);
    glMatrixMode(GL_MODELVIEW);

    glClearColor(0.0, 0.0, 0.0, 0.0);
    glClear(GL_COLOR_BUFFER_BIT);

    glScalef(tsZoom, tsZoom, tsZoom);
    glRotatef( tsZRotation, 0, 0, 1);

    Render(GL_RENDER);

    glPopMatrix();
}

