static char version[] =
"$Id: ts_init_objects.c,v 1.1 1999/11/21 19:35:40 Fusz Exp $";


#include "ts_header.h"



void InitObjects(GLint num)
{
    /*
     * global vars
     *
     * struct object tsObjects[]
     * GLint tsObjectCount
     */
    
    GLint i;
    float x, y;

    /*------------------------------------------------------------*/
    
    if (num > MAXOBJS)
    {
        num = MAXOBJS;
    }
    
    if (num < 1)
    {
        num = 1;
    }
    
    tsObjectCount = num;

    srand((unsigned int)time(NULL));

    for (i = 0; i < num; i++) {
        x = (rand() % 300) - 150;
        y = (rand() % 300) - 150;

        tsObjects[i].v1[0] = x + (rand() % 50) - 25;
        tsObjects[i].v2[0] = x + (rand() % 50) - 25;
        
        tsObjects[i].v3[0] = x + (rand() % 50) - 25;
        tsObjects[i].v1[1] = y + (rand() % 50) - 25;
        
        tsObjects[i].v2[1] = y + (rand() % 50) - 25;
        tsObjects[i].v3[1] = y + (rand() % 50) - 25;
        
        tsObjects[i].color[0] = ((rand() % 100) + 50) / 150.0;
        tsObjects[i].color[1] = ((rand() % 100) + 50) / 150.0;
        tsObjects[i].color[2] = ((rand() % 100) + 50) / 150.0;
    }
}

